/// <reference types="react" />
import type { TextInputProps } from "../../../../../ui";
export declare const SearchInputContainer: import("@emotion/styled").StyledComponent<import("../../../../../ui").FlexProps & import("react").RefAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
interface SearchInputProps extends TextInputProps {
    isActive: boolean;
}
export declare const SearchInput: import("@emotion/styled").StyledComponent<TextInputProps & import("react").RefAttributes<HTMLInputElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & SearchInputProps, {}, {}>;
export {};
